namespace PiattaformaStreaming;

[Serializable]
public class Film : Media
{
    public Film(string titolo, int durata, int anno, int valutazione)
        : base(titolo, durata, anno, valutazione) { }

    public override string Riproduci()
    {
        return string.Format("Riproduco film {0}", Titolo);
    }
    
    #region File Testo
    
    public Film(string s) : base(s) { }
    
    #endregion
    
    #region File JSON

    public Film() { }

    #endregion
}